Agora Java API Reference for Android

Static Public Member Functions | Public Attributes | List of all members
io.agora.rte.Constants.AbrSubscriptionLayer Enum Reference

The quality layer of the subscribed video stream. More...

## Static Public Member Functions
static int | getValue (AbrSubscriptionLayer type)
static AbrSubscriptionLayer | fromInt (int v)

## Public Attributes
| HIGH =(0)
| LOW =(1)
| LAYER1 =(2)
| LAYER2 =(3)
| LAYER3 =(4)
| LAYER4 =(5)
| LAYER5 =(6)
| LAYER6 =(7)

## Detailed Description

The quality layer of the subscribed video stream.

Since
  v4.4.0

Note
  If you need to customize the video resolution of `LAYER1` to `LAYER6` and subscribe to it, please contact technical support to enable the ABR feature.

## Member Data Documentation

## ◆ HIGH

io.agora.rte.Constants.AbrSubscriptionLayer.HIGH =(0)

0: The highest quality high-quality video stream. This quality level provides the highest resolution.

## ◆ LOW

io.agora.rte.Constants.AbrSubscriptionLayer.LOW =(1)

1: (Default) The lowest-quality video stream. This quality level has the lowest resolution.

## ◆ LAYER1

io.agora.rte.Constants.AbrSubscriptionLayer.LAYER1 =(2)

2: Video quality level 1. The resolution of this quality level is only lower than `HIGH`.

## ◆ LAYER2

io.agora.rte.Constants.AbrSubscriptionLayer.LAYER2 =(3)

3: Video quality level 2. The resolution of this quality level is lower than `LAYER1`.

## ◆ LAYER3

io.agora.rte.Constants.AbrSubscriptionLayer.LAYER3 =(4)

4: Video quality level 3. The resolution of this level is lower than `LAYER2`.

## ◆ LAYER4

io.agora.rte.Constants.AbrSubscriptionLayer.LAYER4 =(5)

5: Video quality level 4. The resolution of this quality level is lower than `LAYER3`.

## ◆ LAYER5

io.agora.rte.Constants.AbrSubscriptionLayer.LAYER5 =(6)

6: Video quality level 5. The resolution of this quality level is lower than `LAYER4`.

## ◆ LAYER6

io.agora.rte.Constants.AbrSubscriptionLayer.LAYER6 =(7)

7: Video quality level 6. The resolution of this quality level is lower than `LAYER5`.